Subject: Re: [net-next PATCH] net: Reserve skb headroom and set skb->dev even if using __alloc_skb

From: Felipe Balbi <[email-masked]>
Date: Wed, 13 May 2015 20:43:20 -0500

On Wed, May 13, 2015 at 02:35:51PM -0700, Kevin Hilman wrote:
> Alexander Duyck <[email-masked]> writes:
> 
> > When I had inlined __alloc_rx_skb into __netdev_alloc_skb and
> > __napi_alloc_skb I had overlooked the fact that there was a return in the
> > __alloc_rx_skb.  As a result we weren't reserving headroom or setting the
> > skb->dev in certain cases.  This change corrects that by adding a couple of
> > jump labels to jump to depending on __alloc_skb either succeeding or failing.
> >
> > Fixes: 9451980a6646 ("net: Use cached copy of pfmemalloc to avoid accessing page")
> > Reported-by: Felipe Balbi <[email-masked]>
> > Signed-off-by: Alexander Duyck <[email-masked]>
> 
> Tested this on top of next-20150513 on an ARM/OMAP
> (am335x-boneblack.dts) an it fixes the boot problem for me.
> 
> Tested-by: Kevin Hilman <[email-masked]>

Yeah, I know it's too late, but I also tested on my AM437x SK.

Tested-by: Felipe Balbi <[email-masked]>

-- 
balbi